package dfatool.values;

import java.util.ArrayList;
import java.util.Collection;
import java.util.List;

public class ListValue extends ArrayList<Value> implements Value{
	/**
	 * 
	 */
	private static final long serialVersionUID = 1L;

	@Override
	public ListValue getValue() {
		return this;
	}
	
	public ListValue(Collection<? extends Value> c) {
		super(c);
	}

	public ListValue() {
		super();
	}
	
	
//	List<Value> value;
//	
//	public Tuple(List<Value> value) {
//		this.value = new ArrayList<Value>(value);
//	}
//
//	public Tuple() {
//		this.value = new ArrayList<Value>();
//	}
//
//	public List<Value> getValue(){
//		return value;
//	}
//	@Override
//	public boolean equals(Object o) {
//		return (o instanceof Tuple) ? ((Tuple) o).getValue().equals(value) : false;
//	}
//	
//	@Override
//	public java.lang.String toString() {
//		return this.value.toString();
//	}
//
//	public void add(Value v) {
//		this.value.add(v);
//	}
//
//	@Override
//	public int hashCode() {
//		return value.hashCode();
//	}

}
